import '@operato/board/ox-board-selector.js';
import './board-renderer';
import { OxGristEditor } from '@operato/data-grist';
export declare class BoardEditor extends OxGristEditor {
    static styles: import("lit").CSSResult[];
    value: any;
    column: any;
    record: any;
    row?: number;
    popup: any;
    render(): import("lit-html").TemplateResult<1>;
    firstUpdated(): Promise<void>;
    openSelector(): void;
}
